Channel File Reference
`#include <osgAnimation/Export>`
`#include <osgAnimation/Sampler>`
`#include <osgAnimation/Target>`
`#include <osg/Referenced>`
`#include <string>`

Go to the source code of this file.

## Classes

class | osgAnimation::Channel
class | osgAnimation::TemplateChannel< SamplerType >

## Namespaces

namespace | osgAnimation

## Macros

#define | OSGANIMATION_CHANNEL 1

## Typedefs

typedef std::vector< osg::ref_ptr< osgAnimation::Channel > > | osgAnimation::ChannelList
typedef TemplateChannel< DoubleStepSampler > | osgAnimation::DoubleStepChannel
typedef TemplateChannel< FloatStepSampler > | osgAnimation::FloatStepChannel
typedef TemplateChannel< Vec2StepSampler > | osgAnimation::Vec2StepChannel
typedef TemplateChannel< Vec3StepSampler > | osgAnimation::Vec3StepChannel
typedef TemplateChannel< Vec4StepSampler > | osgAnimation::Vec4StepChannel
typedef TemplateChannel< QuatStepSampler > | osgAnimation::QuatStepChannel
typedef TemplateChannel< DoubleLinearSampler > | osgAnimation::DoubleLinearChannel
typedef TemplateChannel< FloatLinearSampler > | osgAnimation::FloatLinearChannel
typedef TemplateChannel< Vec2LinearSampler > | osgAnimation::Vec2LinearChannel
typedef TemplateChannel< Vec3LinearSampler > | osgAnimation::Vec3LinearChannel
typedef TemplateChannel< Vec4LinearSampler > | osgAnimation::Vec4LinearChannel
typedef TemplateChannel< QuatSphericalLinearSampler > | osgAnimation::QuatSphericalLinearChannel
typedef TemplateChannel< MatrixLinearSampler > | osgAnimation::MatrixLinearChannel
typedef TemplateChannel< FloatCubicBezierSampler > | osgAnimation::FloatCubicBezierChannel
typedef TemplateChannel< DoubleCubicBezierSampler > | osgAnimation::DoubleCubicBezierChannel
typedef TemplateChannel< Vec2CubicBezierSampler > | osgAnimation::Vec2CubicBezierChannel
typedef TemplateChannel< Vec3CubicBezierSampler > | osgAnimation::Vec3CubicBezierChannel
typedef TemplateChannel< Vec4CubicBezierSampler > | osgAnimation::Vec4CubicBezierChannel

## Macro Definition Documentation

## OSGANIMATION_CHANNEL

#define OSGANIMATION_CHANNEL 1